Home

Kusama RPC API - Author Methods

v1.0.0
Base URL
https://ksm.nownodes.ioKusama RPC

API for interacting with Kusama via JSON-RPC. Contains author category methods for submitting and monitoring extrinsics.

Authentication

api-keyAuthapiKey

API Key: API_key in header

NODE

author

Submit a fully formatted extrinsic

POST
https://ksm.nownodes.io/author_submitExtrinsic

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Sends a fully formatted extrinsic to the chain for processing.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired

JSON-RPC version

idstringrequired

Request identifier

methodstringrequired

Method name

paramsArray<string>required

Array containing the encoded extrinsic

Response

200OK

Extrinsic submission result

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Submit and subscribe to an extrinsic until unsubscribed

POST
https://ksm.nownodes.io/author_submitAndWatchExtrinsic

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Submits an extrinsic and allows monitoring its status until it is finalized or unsubscribed.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired

JSON-RPC version

idstringrequired

Request identifier

methodstringrequired

Method name

paramsArray<string>required

Array containing the encoded extrinsic

Response

200OK

Extrinsic submission and watch result

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Retrieve all pending extrinsics

POST
https://ksm.nownodes.io/author_pendingExtrinsics

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Returns a list of all pending extrinsics, optionally grouped by sender.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired

JSON-RPC version

idstringrequired

Request identifier

methodstringrequired

Method name

paramsArray<any>required

No parameters required

Response

200OK

List of pending extrinsics

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error